package main

import (
	"fmt"
	"os/exec"
	"strconv"
	"strings"
)

func GetDirectoryDiskUsed(directories []string) (uint64, error) {
	cmd := exec.Command("du", "-s", directories[0])
	output, err := cmd.CombinedOutput()
	if err != nil {
		return 0, err
	}
	lines := strings.Split(string(output), "\n")
	fields := strings.Fields(lines[1])
	parseUint, err := strconv.ParseUint(fields[0], 10, 64)
	fmt.Println("parseUint", parseUint)
	if err != nil {
		return 0, err
	}
	return parseUint, nil
}

func main() {
	diskUsed, err := GetDirectoryDiskUsed([]string{"/root/pjirobot/data/cicv-data-closedloop/data/"})
	if err != nil {
		return
	}
	fmt.Println("diskUsed", diskUsed)
}
